# Uses of Interface
org.eclipse.birt.report.engine.content.IReportContent

Packages that use IReportContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IReportContent
Modifier and Type
Method
Description
`IReportContent`
IContent.`getReportContent()`
Get the report which contains/create this content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IReportContent
Modifier and Type
Method
Description
`void`
IContent.`setReportContent(IReportContent report)`
Set the report content.

## Uses of IReportContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IReportContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`end(IReportContent report)`
End the emitter
`void`
IContentEmitter.`start(IReportContent report)`
Start the emitter

## Uses of IReportContent in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IReportContent
Modifier and Type
Method
Description
`IReportContent`
IExecutorContext.`getReportContent()`
return IReportContent.